<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>LocaleConfiguration.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.config</a> &gt; <span class="el_source">LocaleConfiguration.java</span></div><h1>LocaleConfiguration.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.config;

import io.github.jhipster.config.locale.AngularCookieLocaleResolver;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.LocaleResolver;
import org.springframework.web.servlet.config.annotation.*;
import org.springframework.web.servlet.i18n.LocaleChangeInterceptor;

@Configuration
<span class="fc" id="L12">public class LocaleConfiguration implements WebMvcConfigurer {</span>

    @Bean(name = &quot;localeResolver&quot;)
    public LocaleResolver localeResolver() {
<span class="fc" id="L16">        AngularCookieLocaleResolver cookieLocaleResolver = new AngularCookieLocaleResolver();</span>
<span class="fc" id="L17">        cookieLocaleResolver.setCookieName(&quot;NG_TRANSLATE_LANG_KEY&quot;);</span>
<span class="fc" id="L18">        return cookieLocaleResolver;</span>
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
<span class="fc" id="L23">        LocaleChangeInterceptor localeChangeInterceptor = new LocaleChangeInterceptor();</span>
<span class="fc" id="L24">        localeChangeInterceptor.setParamName(&quot;language&quot;);</span>
<span class="fc" id="L25">        registry.addInterceptor(localeChangeInterceptor);</span>
<span class="fc" id="L26">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>